%define version 0.3.2
%define major	3
%define libname %mklibname chewing %{major}
%define develname %mklibname chewing -d

Name:		libchewing
Summary:	The intelligent phonetic input method library
Epoch:		1
Version:	%{version}
%define subrel 1
Release:	%mkrel 2
Group:		System/Internationalization
License:	LGPLv2+
Source0:	http://chewing.csie.net/download/libchewing/%{name}-%{version}.tar.bz2
Patch0:		libchewing-0.3.2.chewing_zuin.patch
URL:		http://chewing.csie.net/
BuildRequires:	check-devel
Buildroot:      %_tmppath/%{name}-%{version}-%{release}-root

%description
libchewing is an intelligent Chinese phonetic input method library
which is also know as Qooing. Based on Chewing input method.

%package data
Summary:	Data for Libchewing
Group:		System/Internationalization

%description data
libchewing is an intelligent Chinese phonetic input method library
which is also know as Qooing. Based on Chewing input method.

This package contains data files from libchewing.

%package -n	%{libname}
Summary:	The intelligent phonetic input method library
Group:		System/Internationalization
Requires:       %{name}-data = %{epoch}:%{version}
Provides:	%{name} = %{epoch}:%{version}-%{release}

%description -n %{libname}
libchewing is an intelligent Chinese phonetic input method library
which is also know as Qooing. Based on Chewing input method.

This package contains the basic libchewing library.

%package -n	%{develname}
Summary:	Headers of libchewing for development
Group:		Development/C
Requires:	%{libname} = %{epoch}:%{version}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname -d chewing 3

%description -n %{develname}
libchewing is an intelligent Chinese phonetic input method library
which is also know as Qooing. Based on Chewing input method.

This package contains library and headers necessary for development
related to Chewing input method. You also need it if you want to
compile any input server that supports Chewing input method.

%prep
%setup -q -n %name-%version
%patch0 -p0

%build
./autogen.sh
%configure2_5x 
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif


%files data
%defattr(-,root,root)
%doc COPYING
%{_datadir}/chewing

%files -n %{libname}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/lib*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/lib*.so
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_libdir}/pkgconfig/*
%{_includedir}/*


%changelog
* Tue Jul 27 2010 Funda Wang <fwang@mandriva.org> 1:0.3.2-2.1mdv2010.0
+ Revision: 562054
- fix upstream bug#352 (Zhuyin phonetic symbols can't be seen in any program).

* Sun Jan 04 2009 Emmanuel Andry <eandry@mandriva.org> 1:0.3.2-2mdv2009.1
+ Revision: 324484
- New version 0.3.2
- define major as a var

* Sat Oct 11 2008 Funda Wang <fwang@mandriva.org> 1:0.3.1-2mdv2009.1
+ Revision: 292355
- fix requires on libname

* Sat Oct 11 2008 Funda Wang <fwang@mandriva.org> 1:0.3.1-1mdv2009.1
+ Revision: 292073
- add epoch to ease upgrade
- New version 0.3.1

* Mon Aug 25 2008 Funda Wang <fwang@mandriva.org> 0.3.091-3.836.2mdv2009.0
+ Revision: 275853
- New svn snapshot

* Wed Jun 18 2008 Funda Wang <fwang@mandriva.org> 0.3.091-3.830.1mdv2009.0
+ Revision: 224731
- BR check
- Update to latest svn source

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Jan 13 2008 Thierry Vignaud <tv@mandriva.org> 0.3.091-2mdv2008.1
+ Revision: 150508
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Tue Jan 09 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.3.091-1mdv2007.0
+ Revision: 106768
- Import libchewing

* Mon Dec 04 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.3.091-1mdv2007.1
- new release

* Tue May 30 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.3.0-1mdv2007.0
- new release (major was bumped)

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.2.7-2mdk
- Rebuild

* Tue Aug 16 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.2.7-1mdk
- new release from You-Cheng Hsieh <yochenhsieh@xuite.net>
- mkrel

* Tue Jun 21 2005 Abel Cheung <deaddog@mandriva.org> 0.2.6-2mdk
- Rebuild

* Fri Mar 04 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.6-1mdk
- new release

* Sat Jan 01 2005 Abel Cheung <deaddog@mandrakesoft.com> 0.2.5-1mdk
- New release 0.2.5
- rpmlint fixes

* Fri Dec 24 2004 Abel Cheung <deaddog@mandrake.org> 0.2.4-1mdk
- First Mandrakelinux package, thanks to the work done by
  Shiva Huang <blueshiva@giga.net.tw> and
  UTUMI Hirosi <utuhiro78@yahoo.co.jp>.

